﻿using SecuritySystemDataModels.Models;
using SecuritySystemDataModels.Enums;

namespace SecuritySystemContracts.BindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public int Id { get; set; }
        public int SecureId { get; set; }
        public int Count { get; set; }
        public double Sum { get; set; }
        public string SecureName { get; set; } = string.Empty;
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        public DateTime DateCreate { get; set; } = DateTime.SpecifyKind(DateTime.Now, DateTimeKind.Utc);
        public DateTime? DateImplement { get; set; }
    }
}
