﻿
using SecuritySystemDataModels.Models;

namespace SecuritySystemContracts.BindingModels
{
    public class SecureBindingModel : ISecureModel
    {
        public int Id { get; set; }
        public string SecureName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> SecureComponents
        {
            get;
            set;
        } = new();
    }
}
