﻿using SecuritySystemContracts.BindingModels;
using SecuritySystemContracts.SearchModels;
using SecuritySystemContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SecuritySystemContracts.StoragesContracts
{
    public interface ISecureStorage
    {
        List<SecureViewModel> GetFullList();
        List<SecureViewModel> GetFilteredList(SecureSearchModel model);
        SecureViewModel? GetElement(SecureSearchModel model);
        SecureViewModel? Insert(SecureBindingModel model);
        SecureViewModel? Update(SecureBindingModel model);
        SecureViewModel? Delete(SecureBindingModel model);
    }
}
