﻿using System.ComponentModel.DataAnnotations;

namespace SecuritySystemDatabaseImplement.Models
{
    public class SecureComponent
    {
        public int Id { get; set; }
        [Required]
        public int SecureId { get; set; }
        [Required]
        public int ComponentId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Component Component { get; set; } = new();
        public virtual Secure Secure { get; set; } = new();
    }
}
