﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace SecuritySystemDataModels.Models
{
    public interface ISecureModel : IId
    {
        string SecureName { get; }
        double Price { get; }
        Dictionary<int, (IComponentModel, int)> SecureComponents { get; }
    }
}
